#include <string.h>
#include <avr/io.h>
#include "lcd_display.h"

// PORTB  = Data
// PORTD5 = RS
// PORTD6 = RW
// PORTD7 = E

int main( void )
{
  DDRB = 0xff;
  DDRC = 0xff;
  DDRD = 0xff;

  lcd_display display (0x05, 0x0b, 0x20, 0x40, 0x80);
  
#if 0
  // This work
  const char h[6];
  h[0] = 'H';
  h[1] = 'e';
  h[2] = 'l';
  h[3] = 'l';
  h[4] = 'o';
  h[5] = 0;
#else
  // This doesn't work
  const char *h = "Hello";
#endif
  display.write_string (h);
}
